Bug 1021244 - Review Request: aspell-la - Latin dictionaries for Aspell
Review Request: aspell-la - Latin dictionaries for Aspell
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-20 13:42 EDT by Johan Swensson
Modified: 2013-11-10 01:56 EST (History)
2 users (show)

See Also:
Fixed In Version: aspell-la-20020503-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-04 21:50:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bugs.michael: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Johan Swensson 2013-10-20 13:42:36 EDT
Spec URL: http://kupo.se/pub/review/aspell/aspell-la.spec
SRPM URL: http://kupo.se/pub/review/aspell/aspell-la-20020503-1.fc19.src.rpm
Description: Provides the word list/dictionaries for the following: Latin
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=6081348
Fedora Account System Username: opuk
Comment 1 Michael Schwendt 2013-10-23 06:51:54 EDT
Mostly similar to the aspell-fi review feedback:

[...]

No older/retired package or stalled review request with the same name could be located.

No other package includes conflicting files:

# repoquery --whatprovides /usr/lib64/aspell-0.60/la*
#

$ rpmls -p aspell-la-20020503-1.fc21.x86_64.rpm 
-rw-r--r--  /usr/lib64/aspell-0.60/la.dat
-rw-r--r--  /usr/lib64/aspell-0.60/la.multi
-rw-r--r--  /usr/lib64/aspell-0.60/la.rws
-rw-r--r--  /usr/lib64/aspell-0.60/la_affix.dat
-rw-r--r--  /usr/lib64/aspell-0.60/latin.alias
drwxr-xr-x  /usr/share/doc/aspell-la
-rw-r--r--  /usr/share/doc/aspell-la/COPYING
-rw-r--r--  /usr/share/doc/aspell-la/Copyright


The packaging style (e.g. arch-specific, deps, -debuginfo disabled) matches the other aspell-* packages.



aspell-la.x86_64: E: incorrect-fsf-address /usr/share/doc/aspell-la/COPYING
aspell-la.x86_64: E: incorrect-fsf-address /usr/share/doc/aspell-la/Copyright

 -> https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address

With the last release being from 2002-2004, probably not much will happen related to that.



> License: GPLv2

The README points at file "Copyright" for the "exact terms", and that one contains the "or (at your option) any later version" clause. That would be "GPLv2+". However:

Considering that the GPLv3 has been released later than 2004, and the web page doesn't contain the "or later version" clause, the file Copyright is likely just a cut'n'paste error. aspell-cs for example gets it right and has dropped the "later version" clause.

  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#.22or_later_version.22_licenses

  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Clarification

Not a big issue, just need to point that out in the review, since there are licensing clarification guidelines. A comment in the spec file above the License tag would be good.



> ./configure 

For clarify:

  # Custom configure script, %configure cannot and need not be used.
  ./configure



So, no issues that need another build for review. About the extra comments and the URL, that's up to you and may be touched before/after importing the package into dist git.

APPROVED
Comment 2 Johan Swensson 2013-10-25 05:38:10 EDT
New Package SCM Request
=======================
Package Name: aspell-la
Short Description: Latin dictionaries for Aspell
Owners: opuk
Branches: f18 f19 f20
InitialCC:
Comment 3 Gwyn Ciesla 2013-10-25 07:58:32 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-10-26 05:22:27 EDT
aspell-la-20020503-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/aspell-la-20020503-1.fc18
Comment 5 Fedora Update System 2013-10-26 05:28:39 EDT
aspell-la-20020503-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/aspell-la-20020503-1.fc19
Comment 6 Fedora Update System 2013-10-26 05:38:40 EDT
aspell-la-20020503-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/aspell-la-20020503-1.fc20
Comment 7 Fedora Update System 2013-10-26 14:46:55 EDT
aspell-la-20020503-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 8 Fedora Update System 2013-11-04 21:50:43 EST
aspell-la-20020503-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 9 Fedora Update System 2013-11-04 21:52:46 EST
aspell-la-20020503-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 10 Fedora Update System 2013-11-10 01:56:30 EST
aspell-la-20020503-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.